/* =====================================================================================================

                             ************ 主選單 CPC Link 快速入口 **************

					0. (CPC Link) Main Menu Link (快速入口 for 黑底 + 白底) for Consumers Products

					>> #header #primary-menu ul li.menuitem_for-consumer

===================================================================================================== */








/* 外層 Li 選項 >> 一般 Main 高度 / 位置 >> li.menuitem_for-consumer >> 較高 height: 70px */
#header.transparent-header #primary-menu ul li.menuitem_for-consumer, 
#header #primary-menu ul li.menuitem_for-consumer, 
#primary-menu ul li.menuitem_for-consumer {
    height: 70px;
    margin: 0 10px 0 15px !important; /* 與其它 LI 左右距離 */
}

/*  外層 Li 選項 >> 固定 Fixed Main 高度 / 位置 >> li.menuitem_for-consumer >> 較低 height: 60px */
#header.transparent-header.sticky-header:not(.static-sticky) #primary-menu ul li.menuitem_for-consumer, 
#header.sticky-header:not(.static-sticky) #primary-menu ul li.menuitem_for-consumer {
    height: 60px;
}

/* 重置 >> Button Hover Color 顏色統一回歸 (白 + 黑底) >> li:hover a */
.dark #header-wrap:not(.not-dark) #primary-menu ul.menu_body_0 > li.menuitem_for-consumer:hover > a,
#primary-menu ul.menu_body_0 > li.menuitem_for-consumer:focus > a {
    /* all: unset; */
    background: unset;
    color: unset; 
}



/* 白色 Button 樣式(不含顏色) / 入口按鈕 (原始白底 White BG -- 無狀態 >> 非固定 + 固定選單) (li.menuitem_for-consumer > a) */
#header.transparent-header.sticky-header:not(.static-sticky) #primary-menu ul li.menuitem_for-consumer a, 
#header.sticky-header:not(.static-sticky) #primary-menu ul li.menuitem_for-consumer a, 
#header.transparent-header #primary-menu ul li.menuitem_for-consumer a, 
#header #primary-menu ul li.menuitem_for-consumer a, 
#primary-menu ul li.menuitem_for-consumer a  {
    position: relative;
    display: inline-block;
    line-height: 1.4em;
    height: auto !important;
    padding: 9px 17px !important;

    background-color: transparent;
    background: transparent;
    border-radius: 300px;
    border: 2px solid #94c52c !important;
    border: 2px solid rgba(148, 197, 44, 1.0) !important;

    text-shadow: 1px 1px 1px rgba(0, 0, 0, .1);
    box-shadow: 1px 2px 2px 0 rgba(0, 0, 0, .05);
    backdrop-filter: blur(5px);

    /* transition: all 0.3s ease-in-out 0s; */
}


/* 非固定時 Button 上下距離縮短 (非固定一般 Main) >> li.menuitem_for-consumer >> 較高 height: 70px */
#header.transparent-header #primary-menu ul li.menuitem_for-consumer a, 
#header #primary-menu ul li.menuitem_for-consumer a {
    top: 0px;
}


/* 固定時 Button 上下距離縮短 (固定 Fixed Main) >> li.menuitem_for-consumer >> 較低 height: 60px */
#header.transparent-header.sticky-header:not(.static-sticky) #primary-menu ul li.menuitem_for-consumer a, 
#header.sticky-header:not(.static-sticky) #primary-menu ul li.menuitem_for-consumer a {
    top: 0px;
    padding-top: 7px !important;
    padding-bottom: 7px !important;
}


/* Color 顏色統一 >> 所有 Button / 入口按鈕 + 箭頭 (After Arrow) (原始白底 White BG -- 無狀態) (li.menuitem_for-consumer > a) */
#header.transparent-header.sticky-header:not(.static-sticky) #primary-menu ul li.menuitem_for-consumer a::after, 
#header.sticky-header:not(.static-sticky) #primary-menu ul li.menuitem_for-consumer a::after, 
#header.transparent-header #primary-menu ul li.menuitem_for-consumer a::after, 
#header #primary-menu ul li.menuitem_for-consumer a::after, 

#header.transparent-header.sticky-header:not(.static-sticky) #primary-menu ul li.menuitem_for-consumer a, 
#header.sticky-header:not(.static-sticky) #primary-menu ul li.menuitem_for-consumer a, 
#header.transparent-header #primary-menu ul li.menuitem_for-consumer a, 
#header #primary-menu ul li.menuitem_for-consumer a, 
#primary-menu ul li.menuitem_for-consumer a  {
    color: #444 !important;
    color: #333 !important;
    color: #000 !important;
    text-shadow: none !important;

    /* transition: all 0.3s ease-in-out 0s; */
}



/* 黑色 Homepage Button (Dark Mode -- 黑底 Black BG) / 入口按鈕 (.transparent-header 非固定時)  */
#header.transparent-header.dark #primary-menu ul li.menuitem_for-consumer a {
    background-color: rgba(0, 0, 0, .3) !important;
    background: rgba(0, 0, 0, .3) !important;
    border: 2px solid #94c52c !important;
    border: 2px solid rgba(148, 197, 44, 1.0) !important;

    box-shadow: 1px 2px 2px 0 rgba(0, 0, 0, .25);
}


/* Color 顏色統一 (黑底) >> 黑色 Homepage Button + 箭頭 (After Arrow) (Dark Mode -- 黑底 Black BG) / 入口按鈕 (.transparent-header 非固定時)  */
#header.transparent-header.dark #primary-menu ul li.menuitem_for-consumer a::after, 
#header.transparent-header.dark #primary-menu ul li.menuitem_for-consumer a {
    color: #eee !important;
}




/* Button Hover Color 顏色統一 (白 + 黑底) >> */
#header.transparent-header.sticky-header:not(.static-sticky) #primary-menu ul li.menuitem_for-consumer a:hover, 
#header.sticky-header:not(.static-sticky) #primary-menu ul li.menuitem_for-consumer a:hover, 
#header.transparent-header #primary-menu ul li.menuitem_for-consumer a:hover, 
#header.transparent-header.dark #primary-menu ul li.menuitem_for-consumer a:hover, 
#header #primary-menu ul li.menuitem_for-consumer a:hover, 
#primary-menu ul li.menuitem_for-consumer a:hover {
    background-color: rgb(159, 226, 40) !important;
    background: rgb(159, 226, 40) !important;
    border: 2px solid rgb(159, 226, 40) !important;

    background-color: rgba(159, 226, 40, 1.0) !important;
    background: rgba(159, 226, 40, 1.0) !important;

    background-color: rgb(141 212 9) !important;
    background: rgb(141 212 9) !important;

    background: #94c52c !important;
    background: rgba(148, 197, 44, 1.0) !important;

    border: 2px solid transparent !important;

    transition: all 0.3s ease-in-out 0s;
}


/* Button Hover Color 顏色統一 (白 + 黑底) >> */
#header.transparent-header.sticky-header:not(.static-sticky) #primary-menu ul li.menuitem_for-consumer a:hover::after, 
#header.sticky-header:not(.static-sticky) #primary-menu ul li.menuitem_for-consumer a:hover::after, 
#header.transparent-header #primary-menu ul li.menuitem_for-consumer a:hover::after, 
#header.transparent-header.dark #primary-menu ul li.menuitem_for-consumer a:hover::after, 
#header #primary-menu ul li.menuitem_for-consumer a:hover::after, 
#primary-menu ul li.menuitem_for-consumer a:hover::after,

#header.transparent-header.sticky-header:not(.static-sticky) #primary-menu ul li.menuitem_for-consumer a:hover, 
#header.sticky-header:not(.static-sticky) #primary-menu ul li.menuitem_for-consumer a:hover, 
#header.transparent-header #primary-menu ul li.menuitem_for-consumer a:hover, 
#header.transparent-header.dark #primary-menu ul li.menuitem_for-consumer a:hover, 
#header #primary-menu ul li.menuitem_for-consumer a:hover, 
#primary-menu ul li.menuitem_for-consumer a:hover {
    color: #fff !important;
    text-shadow: -1px -1px 1px rgba(0, 0, 0, 0.3) !important;

    transition: all 0.3s ease-in-out 0s;
}



/* Li 選單 + Button 入口按鈕 >> 裡面內容物上下左右置中 */
#header.transparent-header.sticky-header:not(.static-sticky) #primary-menu ul li.menuitem_for-consumer a, 
#header.sticky-header:not(.static-sticky) #primary-menu ul li.menuitem_for-consumer a, 
#header.transparent-header #primary-menu ul li.menuitem_for-consumer a, 
#header #primary-menu ul li.menuitem_for-consumer a, 
#primary-menu ul li.menuitem_for-consumer a,

#header.sticky-header:not(.static-sticky) #primary-menu ul li.menuitem_for-consumer, 
#header.transparent-header #primary-menu ul li.menuitem_for-consumer, 
#header #primary-menu ul li.menuitem_for-consumer, 
#primary-menu ul li.menuitem_for-consumer {
    display: flex;
    align-items: center; /* 項目垂直置中 >> 作用於單行（或單列）內的所有子項目 */
    align-content: center;   /* 垂直置中 >> 作用於多行（或多列）的子項目 */
    justify-content: center; /* 水平置中 */
    flex-wrap: wrap; /* 若 items 過多就換行, 不會壓縮items (若不設定會將所有的 flex items 壓縮在同一行) */
}


/* Button 的 箭頭 (After Arrow) 統一樣式 */
#header.sticky-header:not(.static-sticky) #primary-menu ul li.menuitem_for-consumer a::after, 
#header #primary-menu ul li.menuitem_for-consumer a::after, 
#primary-menu ul li.menuitem_for-consumer a::after {
    font-size: 1em;
    font-weight: 600;
    display: inline-block;
    padding-left: 3px;
    
    font-family: 'Material Symbols Outlined' !important;
    content: "\f1e1";
    content: '\f8ce';
    font-size: 1.4em;
}



/* 1200 以上 */
@media (min-width: 1200px) {}



/* 1199 以下 */
@Media (max-width: 1199px) {

    /* 黑色 Homepage Button (Dark Mode -- 黑底 Black BG) / 入口按鈕 (.transparent-header 非固定時)  */
    #header.transparent-header.dark #primary-menu ul li.menuitem_for-consumer a {
    background-color: rgba(0, 0, 0, .0) !important;
    background: rgba(0, 0, 0, .0) !important;
    border: 2px solid transparent !important;
    }

    /* 外層 Li 選項 >> 一般 Main 高度 / 位置 >> li.menuitem_for-consumer >> 較高 height: 70px */
    /* 
    #header.sticky-header:not(.static-sticky) #primary-menu ul li.menuitem_for-consumer,
    #header #primary-menu ul li.menuitem_for-consumer a, #primary-menu ul li.menuitem_for-consumer,
    */
	#header.transparent-header #primary-menu ul li.menuitem_for-consumer, 
	#header #primary-menu ul li.menuitem_for-consumer, 
	#primary-menu ul li.menuitem_for-consumer {
	margin: 0px !important; /* LI 變垂直 >> 寬 100% */
	height: 50px !important; /* 高度縮小 */

	float: none;
    margin: 0 !important;
    text-align: left !important;
	height: 55px !important; /* 高度縮小 */
	}

	/* for-consumer Button >> 水平置中 (有外框) 
	#header.transparent-header.dark #primary-menu ul li.menuitem_for-consumer a, 
	#header #primary-menu ul li.menuitem_for-consumer a {
	height: 43px !important;
	width: 50%;
	margin: 5px auto !important;
	padding: 5px !important;
	}
	*/

	/* for-consumer Button >> 水平置中 (無外框 >> 融合於 Menu ) */
    #header.sticky-header:not(.static-sticky) #primary-menu ul li.menuitem_for-consumer a,
    #header #primary-menu ul li.menuitem_for-consumer a, #primary-menu ul li.menuitem_for-consumer a,
	#header.transparent-header.dark #primary-menu ul li.menuitem_for-consumer a, 
	#header #primary-menu ul li.menuitem_for-consumer a {
	border: none !important;
	padding: 0px !important;

	display: block;
	height: auto !important;
	width: 100%;
	padding: 0 5px !important;

	box-shadow: none !important;
	}

	/* for-consumer Button >> 水平置中 (無外框 >> 融合於 Menu ) */
	#header.transparent-header.dark #primary-menu ul li.menuitem_for-consumer a::after, 
	#header #primary-menu ul li.menuitem_for-consumer a::after {
	position: absolute;
	right: 0;
	padding-right: 7px;
	}

	/* for-consumer Button >> 水平置中 (無外框 >> 融合於 Menu ) */
	#header.transparent-header.dark #primary-menu ul li.menuitem_for-consumer a::after, 
	#header.transparent-header.dark #primary-menu ul li.menuitem_for-consumer a {
	color: rgba(143, 195, 32, 1.0);
	color: #8fc320;
	color: rgba(128, 186, 45, 1.0) !important;
	color: #80ba2d !important;
	color: #94c52c !important;
	color: rgba(148, 197, 44, 1.0) !important;
	}

}



/* 1024 以下 */
@Media (max-width: 1024px) {}


/* 990 以下 */
@Media (max-width: 990px) {}





